%global drupaldir %{_datadir}/drupal7
%global alphabeta beta
%global prerelease 10

Name:    drupal7-entity
Version: 1.0
Release: 0.1.%{alphabeta}%{prerelease}%{?dist}
Summary: This module extends the entity API of Drupal core

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/entity
Source0: http://ftp.drupal.org/files/projects/entity-7.x-%{version}-%{alphabeta}%{prerelease}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
This module extends the entity API of Drupal core
in order to provide a unified way
to deal with entities and their properties.
Additionally, it provides an entity CRUD controller,
which helps simplifying the creation of new entity types.

%prep

%setup -qn entity

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/entity
cp -pr * %{buildroot}%{drupaldir}/modules/entity

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/entity
%exclude %{drupaldir}/modules/entity/*.txt

%changelog
* Tue Oct 18 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.beta10
- Initial packaging.

